import * as types from "./actionTypes";
import * as authorApi from "../../api/authorApi";
import { sendHttpRequest } from "../actions/httpActions";

function loadAuthorsSuccess(authors) {
  return { type: types.LOAD_AUTHORS_SUCCESS, authors };
}

export function loadAuthors() {
  return async function (dispatch) {
    try {
      const authors = await dispatch(sendHttpRequest(authorApi.getAuthors()));
      dispatch(loadAuthorsSuccess(authors));
    } catch (error) {
      throw error;
    }
  };
}
